spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sean Owen <sro...@apache.org>
Subject Re: On Scala 2.12.7
Date Tue, 02 Oct 2018 03:22:38 GMT
I don't think so. Spark brings the Scala dependency, and I don't think
the installed scalac matters in this respect.
Darcy there was an open question about whether this enables you to
back out the workaround you created for 2.12.6. I tried removing it
and it failed again, so left it in as still needed.
On Mon, Oct 1, 2018 at 10:20 PM Wenchen Fan <cloud0fan@gmail.com> wrote:
>
> SGTM then. Is there anything we need to do to pick up the 2.12.7 upgrade? like updating
Jenkins config?
>
> On Tue, Oct 2, 2018 at 10:53 AM Sean Owen <srowen@apache.org> wrote:
>>
>> I tested both ways, and it actually works fine. It calls into question
>> whether there's really a fix we need with 2.12.7, but, I hear two
>> informed opinions (Darcy and the scala release notes) that it was
>> relevant. As we have no prior 2.12 support, I guess my feeling was
>> indeed to get this update in to the first 2.12-supporting release.
>>
>> On Mon, Oct 1, 2018 at 9:43 PM Wenchen Fan <cloud0fan@gmail.com> wrote:
>> >
>> > My major concern is how it will affect end-users if Spark 2.4 is built with
Scala versions prior to 2.12.7. Generally I'm hesitating to upgrade Scala version when we
are very close to a release, and Scala 2.12 build of Spark 2.4 is beta anyway.
>> >

---------------------------------------------------------------------
To unsubscribe e-mail: dev-unsubscribe@spark.apache.org


Mime
View raw message